package com.dxhy.customs.constants;

import lombok.AllArgsConstructor;

/**
 * @author dxhy
 */
@AllArgsConstructor
public enum CxbdkStatusEnum {
    // 撤销不抵扣处理状态0未申请，1申请，2发送申请，4申请成功，5申请失败

    A("0", "未申请"), B("1", "申请"), C("2", "发送申请"), D("4", "申请成功"), E("5", "申请失败");

    private String key;
    private String value;

    public static String getVal(String key) {
        for (CxbdkStatusEnum materialEnum : CxbdkStatusEnum.values()) {
            if (materialEnum.key.equals(key)) {
                return materialEnum.value;
            }
        }
        return null;
    }
}
